Package jnr.constants.platform

# Enum InterfaceInfo

java.lang.Object
java.lang.Enum<InterfaceInfo>
jnr.constants.platform.InterfaceInfo

All Implemented Interfaces:
  `Serializable`, `Comparable<InterfaceInfo>`, `java.lang.constant.Constable`, `Constant`

public enum InterfaceInfo extends Enum<InterfaceInfo> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`__UNKNOWN_CONSTANT__`
`IFF_802_1Q_VLAN`
`IFF_ALLMULTI`
`IFF_ALTPHYS`
`IFF_AUTOMEDIA`
`IFF_BONDING`
`IFF_BRIDGE_PORT`
`IFF_BROADCAST`
`IFF_CANTCHANGE`
`IFF_CANTCONFIG`
`IFF_DEBUG`
`IFF_DISABLE_NETPOLL`
`IFF_DONT_BRIDGE`
`IFF_DORMANT`
`IFF_DRV_OACTIVE`
`IFF_DRV_RUNNING`
`IFF_DYING`
`IFF_DYNAMIC`
`IFF_EBRIDGE`
`IFF_ECHO`
`IFF_ISATAP`
`IFF_LINK0`
`IFF_LINK1`
`IFF_LINK2`
`IFF_LIVE_ADDR_CHANGE`
`IFF_LOOPBACK`
`IFF_LOWER_UP`
`IFF_MACVLAN_PORT`
`IFF_MASTER`
`IFF_MASTER_8023AD`
`IFF_MASTER_ALB`
`IFF_MASTER_ARPMON`
`IFF_MONITOR`
`IFF_MULTICAST`
`IFF_NOARP`
`IFF_NOTRAILERS`
`IFF_OACTIVE`
`IFF_OVS_DATAPATH`
`IFF_POINTOPOINT`
`IFF_PORTSEL`
`IFF_PPROMISC`
`IFF_PROMISC`
`IFF_RENAMING`
`IFF_ROUTE`
`IFF_RUNNING`
`IFF_SIMPLEX`
`IFF_SLAVE`
`IFF_SLAVE_INACTIVE`
`IFF_SLAVE_NEEDARP`
`IFF_SMART`
`IFF_STATICARP`
`IFF_SUPP_NOFCS`
`IFF_TEAM_PORT`
`IFF_TX_SKB_SHARING`
`IFF_UNICAST_FLT`
`IFF_UP`
`IFF_VOLATILE`
`IFF_WAN_HDLC`
`IFF_XMIT_DST_RELEASE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final String`
`description()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static InterfaceInfo`
`valueOf(long value)`
Returns the enum constant of this type with the specified name.
`static InterfaceInfo`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static InterfaceInfo[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### IFF_802_1Q_VLAN

public static final InterfaceInfo IFF_802_1Q_VLAN

### IFF_ALLMULTI

public static final InterfaceInfo IFF_ALLMULTI

### IFF_ALTPHYS

public static final InterfaceInfo IFF_ALTPHYS

### IFF_AUTOMEDIA

public static final InterfaceInfo IFF_AUTOMEDIA

### IFF_BONDING

public static final InterfaceInfo IFF_BONDING

### IFF_BRIDGE_PORT

public static final InterfaceInfo IFF_BRIDGE_PORT

### IFF_BROADCAST

public static final InterfaceInfo IFF_BROADCAST

### IFF_CANTCONFIG

public static final InterfaceInfo IFF_CANTCONFIG

### IFF_DEBUG

public static final InterfaceInfo IFF_DEBUG

### IFF_DISABLE_NETPOLL

public static final InterfaceInfo IFF_DISABLE_NETPOLL

### IFF_DONT_BRIDGE

public static final InterfaceInfo IFF_DONT_BRIDGE

### IFF_DORMANT

public static final InterfaceInfo IFF_DORMANT

### IFF_DRV_OACTIVE

public static final InterfaceInfo IFF_DRV_OACTIVE

### IFF_DRV_RUNNING

public static final InterfaceInfo IFF_DRV_RUNNING

### IFF_DYING

public static final InterfaceInfo IFF_DYING

### IFF_DYNAMIC

public static final InterfaceInfo IFF_DYNAMIC

### IFF_EBRIDGE

public static final InterfaceInfo IFF_EBRIDGE

### IFF_ECHO

public static final InterfaceInfo IFF_ECHO

### IFF_ISATAP

public static final InterfaceInfo IFF_ISATAP

### IFF_LINK0

public static final InterfaceInfo IFF_LINK0

### IFF_LINK1

public static final InterfaceInfo IFF_LINK1

### IFF_LINK2

public static final InterfaceInfo IFF_LINK2

### IFF_LIVE_ADDR_CHANGE

public static final InterfaceInfo IFF_LIVE_ADDR_CHANGE

### IFF_LOOPBACK

public static final InterfaceInfo IFF_LOOPBACK

### IFF_LOWER_UP

public static final InterfaceInfo IFF_LOWER_UP

### IFF_MACVLAN_PORT

public static final InterfaceInfo IFF_MACVLAN_PORT

### IFF_MASTER

public static final InterfaceInfo IFF_MASTER

### IFF_MASTER_8023AD

public static final InterfaceInfo IFF_MASTER_8023AD

### IFF_MASTER_ALB

public static final InterfaceInfo IFF_MASTER_ALB

### IFF_MASTER_ARPMON

public static final InterfaceInfo IFF_MASTER_ARPMON

### IFF_MONITOR

public static final InterfaceInfo IFF_MONITOR

### IFF_MULTICAST

public static final InterfaceInfo IFF_MULTICAST

### IFF_NOARP

public static final InterfaceInfo IFF_NOARP

### IFF_NOTRAILERS

public static final InterfaceInfo IFF_NOTRAILERS

### IFF_OACTIVE

public static final InterfaceInfo IFF_OACTIVE

### IFF_OVS_DATAPATH

public static final InterfaceInfo IFF_OVS_DATAPATH

### IFF_POINTOPOINT

public static final InterfaceInfo IFF_POINTOPOINT

### IFF_PORTSEL

public static final InterfaceInfo IFF_PORTSEL

### IFF_PPROMISC

public static final InterfaceInfo IFF_PPROMISC

### IFF_PROMISC

public static final InterfaceInfo IFF_PROMISC

### IFF_RENAMING

public static final InterfaceInfo IFF_RENAMING

### IFF_ROUTE

public static final InterfaceInfo IFF_ROUTE

### IFF_RUNNING

public static final InterfaceInfo IFF_RUNNING

### IFF_SIMPLEX

public static final InterfaceInfo IFF_SIMPLEX

### IFF_SLAVE

public static final InterfaceInfo IFF_SLAVE

### IFF_SLAVE_INACTIVE

public static final InterfaceInfo IFF_SLAVE_INACTIVE

### IFF_SLAVE_NEEDARP

public static final InterfaceInfo IFF_SLAVE_NEEDARP

### IFF_SMART

public static final InterfaceInfo IFF_SMART

### IFF_STATICARP

public static final InterfaceInfo IFF_STATICARP

### IFF_SUPP_NOFCS

public static final InterfaceInfo IFF_SUPP_NOFCS

### IFF_TEAM_PORT

public static final InterfaceInfo IFF_TEAM_PORT

### IFF_TX_SKB_SHARING

public static final InterfaceInfo IFF_TX_SKB_SHARING

### IFF_UNICAST_FLT

public static final InterfaceInfo IFF_UNICAST_FLT

### IFF_UP

public static final InterfaceInfo IFF_UP

### IFF_WAN_HDLC

public static final InterfaceInfo IFF_WAN_HDLC

### IFF_XMIT_DST_RELEASE

public static final InterfaceInfo IFF_XMIT_DST_RELEASE

### IFF_VOLATILE

public static final InterfaceInfo IFF_VOLATILE

### IFF_CANTCHANGE

public static final InterfaceInfo IFF_CANTCHANGE

### __UNKNOWN_CONSTANT__

public static final InterfaceInfo __UNKNOWN_CONSTANT__

## Method Details

### values

public static InterfaceInfo[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static InterfaceInfo valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### description

public final String description()

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<InterfaceInfo>`

### valueOf

public static InterfaceInfo valueOf(long value)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null